<template>
    <div>
        <div class="form-check">
            <input class="form-check-input" type="radio" name="codeTypeRadios" id="incomeType" :value="INCOME" checked
                v-model="codeType"
                @change="this.$emit('update:codeType', this.codeType)">
            <label class="form-check-label" for="incomeType">
                Доходы
            </label>
        </div>
        <div class="form-check">
            <input class="form-check-input" type="radio" name="codeTypeRadios" id="expenditureType" :value="EXPENDITURE"
                v-model="codeType"
                @change="this.$emit('update:codeType', this.codeType)">
            <label class="form-check-label" for="expenditureType">
                Расходы
            </label>
        </div>
        <div v-if="nullValueText" class="form-check">
            <input class="form-check-input" type="radio" name="codeTypeRadios" id="nullValueType" :value="null"
                v-model="codeType"
                @change="this.$emit('update:codeType', this.codeType)">
            <label class="form-check-label" for="nullValueType">
                {{nullValueText}}
            </label>
        </div>
    </div>
</template>

<script>
    import { codeTypes } from '@/services/values'

    export default {
        name: 'BudgetCodeTypeSelector',
        props: {
            codeType: String,
            nullValueText: {
                type: String,
                required: false,
                default: null
            }
        },
        emits: ['update:codeType'],
        data() {
            return {
                INCOME: codeTypes.INCOME,
                EXPENDITURE: codeTypes.EXPENDITURE
            }
        }
    }
</script>
